package Events;

import commandSystem.Direction;

public class CallFromFloorEvent implements Event {


	private final int incomingCallFloor;
	private final Direction direction;

	public CallFromFloorEvent(int incomingCallFloor, Direction direction) {
		this.incomingCallFloor = incomingCallFloor;
		this.direction = direction;
	}

	@Override
	public Direction getRequestedDirection() {
		return direction;
	}

	@Override
	public int getRequestedFloor() {
		return -1;
	}

	@Override
	public int getIncomingCallFloor() {
		return incomingCallFloor;
	}

	@Override
	public EventType getType() {
		return EventType.CALLFROMFLOOR;
	}

	@Override
	public int getCurrentFloor() {
		return -1;
	}

	@Override
	public Direction getCurrentDirection() {
		return Direction.NONE;
	}

}
